| optoICC

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Static Protected Attributes | List of all members
optoICC.registers.icc_registers.HallFeedback Class Reference

Parent class => FeedbackSystem
More...

Inheritance diagram for optoICC.registers.icc_registers.HallFeedback:

## Public Member Functions
def | __init__ (self, board=None)
def | init (self)
def | is_init_done (self)
def | reset_init_done (self)
def | get_map_channels (self, channel, name)
def | set_reg (self, channel, name, value)
def | get_reg (self, channel, name)
def | get_value (self, channel)
def | get_value_id (self, channel)
def | get_hf (self, channel)
def | get_hf_id (self, channel)
def | get_t_comp_type (self)
def | set_t_comp_type (self, type=0)
def | get_temp (self, channel)
def | get_temperature (self, channel=0)
def | get_temp_raw (self, channel)
def | get_temp_offset (self, channel)
def | get_temp_gain (self, channel)
def | start_readout (self)
def | stop_readout (self)
def | get_i2c_address (self)

## Static Public Member Functions
def | help ()

## Public Attributes
| sys_id
| hf_run
| hf_cb_a
| hf_cb_b
| hf_cb_c
| hf_a
| hf_b
| hf_c
| filter_type
| burst_size
| t_comp_type
| hf_init
| hf_init_done
| i2c_address
| name
| map_channels_hf
| map_channels
| map_channels_temp
| map_channels_temp_raw
| map_channels_temp_offset
| map_channels_temp_gain
| n_sensors

## Static Protected Attributes
bool | _is_a_system = True

## Detailed Description

Parent class => FeedbackSystem

    Device Functionality - Hall Feedback
    System ID: 0x2B

    * The hall feedback system provides information about the actual position of actuator.
    * It also includes the parameter registers for setup of the hall sensors.
    * Caution - sensors readout callbacks has to be disabled while operating actuator's eeprom!
    *
    * ### Register Map:
    *
    *  | Address | Name        | Default Value | Description                                    |  Type  | Access     |
    *  |---------|-------------|---------------|------------------------------------------------|--------|------------|
    *  | 0x2B00  | HFrunCB     | false (or 0)  | Enable/Disable sensors readout callbacks       | boolean| read write |
    *  | 0x2B01  | HFvalCB_A   | N/A           | Magnetic field normalised value channel A      | float  | read only  |
    *  | 0x2B02  | HFvalCB_B   | N/A           | Magnetic field normalised value channel B      | float  | read only  |
    *  | 0x2B03  | HFvalCB_C   | N/A           | Magnetic field normalised value channel C      | float  | read only  |
    *  | 0x2B04  | HFval_A     | N/A           | Magnetic field raw value channel A             | uint16 | read only  |
    *  | 0x2B05  | HFval_B     | N/A           | Magnetic field raw value channel B             | uint16 | read only  |
    *  | 0x2B06  | HFval_C     | N/A           | Magnetic field raw value channel C             | uint16 | read only  |
    *  | 0x2B07  | FILTER_TYPE | 0             | Digital filter type [0=NONE, 1=FIR, 2=IIR]    | uint8  | read write |
    *  | 0x2B08  | BURST_SIZE  | 0             | Filter burst size 2^val [0=1sample,..3=8sampl.]| uint8  | read write |
    *  | 0x2B09  | T_COMP_TYPE | 0             | Sensor int.temp.comp.type [0=NONE,1=NEO,2=CER] | uint8  | read write |
    *  | 0x2B0A  | TEMPval_A   | N/A           | Temperature value channel A    [deg.C]            | float  | read only  |
    *  | 0x2B0B  | TEMPval_B   | N/A            | Temperature value channel B   [deg.C]            | float  | read only  |
    *  | 0x2B0C  | TEMPval_C   | N/A           | Temperature value channel C    [deg.C]            | float  | read only  |
    *  | 0x2B0D  | TEMPraw_A   | N/A           | Temperature value channel A    [raw]                            | uint16 | read only  |
    *  | 0x2B0E  | TEMPraw_B   | N/A           | Temperature value channel B    [raw]                            | uint16 | read only  |
    *  | 0x2B0F  | TEMPraw_C   | N/A           | Temperature value channel C    [raw]                            | uint16 | read only  |
    *  | 0x2B10  | TEMPoffset_A| N/A           | Temperature offset correction byte channel A    | uint8  | read only  |
    *  | 0x2B11  | TEMPoffset_B| N/A           | Temperature offset correction byte channel B    | uint8  | read only  |
    *  | 0x2B12  | TEMPoffset_C| N/A           | Temperature offset correction byte channel C    | uint8  | read only  |
    *  | 0x2B13  | TEMPgain_A  | N/A           | Temperature gain correction byte channel A    | uint8  | read only  |
    *  | 0x2B14  | TEMPgain_B  | N/A           | Temperature gain correction byte channel B    | uint8  | read only  |
    *  | 0x2B15  | TEMPgain_C  | N/A           | Temperature gain correction byte channel C    | uint8  | read only  |
    *  |---------|-------------|---------------|------------------------------------------------|--------|------------|
    */

## Constructor & Destructor Documentation

## ◆ __init__()

def optoICC.registers.icc_registers.HallFeedback.__init__ | ( |  | self,
|  |  | board = `None`
| ) |  |

## Member Function Documentation

## ◆ get_hf()

def optoICC.registers.icc_registers.HallFeedback.get_hf | ( |  | self,
|  |  | channel
| ) |  |

## ◆ get_hf_id()

def optoICC.registers.icc_registers.HallFeedback.get_hf_id | ( |  | self,
|  |  | channel
| ) |  |

## ◆ get_i2c_address()

def optoICC.registers.icc_registers.HallFeedback.get_i2c_address | ( |  | self | ) |

## ◆ get_map_channels()

def optoICC.registers.icc_registers.HallFeedback.get_map_channels | ( |  | self,
|  |  | channel,
|  |  | name
| ) |  |

## ◆ get_reg()

def optoICC.registers.icc_registers.HallFeedback.get_reg | ( |  | self,
|  |  | channel,
|  |  | name
| ) |  |

## ◆ get_t_comp_type()

def optoICC.registers.icc_registers.HallFeedback.get_t_comp_type | ( |  | self | ) |

## ◆ get_temp()

def optoICC.registers.icc_registers.HallFeedback.get_temp | ( |  | self,
|  |  | channel
| ) |  |

## ◆ get_temp_gain()

def optoICC.registers.icc_registers.HallFeedback.get_temp_gain | ( |  | self,
|  |  | channel
| ) |  |

## ◆ get_temp_offset()

def optoICC.registers.icc_registers.HallFeedback.get_temp_offset | ( |  | self,
|  |  | channel
| ) |  |

## ◆ get_temp_raw()

def optoICC.registers.icc_registers.HallFeedback.get_temp_raw | ( |  | self,
|  |  | channel
| ) |  |

## ◆ get_temperature()

def optoICC.registers.icc_registers.HallFeedback.get_temperature | ( |  | self,
|  |  | channel = `0`
| ) |  |

## ◆ get_value()

def optoICC.registers.icc_registers.HallFeedback.get_value | ( |  | self,
|  |  | channel
| ) |  |

## ◆ get_value_id()

def optoICC.registers.icc_registers.HallFeedback.get_value_id | ( |  | self,
|  |  | channel
| ) |  |

## ◆ help()

def optoICC.registers.icc_registers.HallFeedback.help | ( |  | ) |
| static

## ◆ init()

def optoICC.registers.icc_registers.HallFeedback.init | ( |  | self | ) |

## ◆ is_init_done()

def optoICC.registers.icc_registers.HallFeedback.is_init_done | ( |  | self | ) |

## ◆ reset_init_done()

def optoICC.registers.icc_registers.HallFeedback.reset_init_done | ( |  | self | ) |

## ◆ set_reg()

def optoICC.registers.icc_registers.HallFeedback.set_reg | ( |  | self,
|  |  | channel,
|  |  | name,
|  |  | value
| ) |  |

## ◆ set_t_comp_type()

def optoICC.registers.icc_registers.HallFeedback.set_t_comp_type | ( |  | self,
|  |  | type = `0`
| ) |  |

## ◆ start_readout()

def optoICC.registers.icc_registers.HallFeedback.start_readout | ( |  | self | ) |

## ◆ stop_readout()

def optoICC.registers.icc_registers.HallFeedback.stop_readout | ( |  | self | ) |

## Member Data Documentation

## ◆ _is_a_system

bool optoICC.registers.icc_registers.HallFeedback._is_a_system = True
| static protected

## ◆ burst_size

optoICC.registers.icc_registers.HallFeedback.burst_size

## ◆ filter_type

optoICC.registers.icc_registers.HallFeedback.filter_type

## ◆ hf_a

optoICC.registers.icc_registers.HallFeedback.hf_a

## ◆ hf_b

optoICC.registers.icc_registers.HallFeedback.hf_b

## ◆ hf_c

optoICC.registers.icc_registers.HallFeedback.hf_c

## ◆ hf_cb_a

optoICC.registers.icc_registers.HallFeedback.hf_cb_a

## ◆ hf_cb_b

optoICC.registers.icc_registers.HallFeedback.hf_cb_b

## ◆ hf_cb_c

optoICC.registers.icc_registers.HallFeedback.hf_cb_c

## ◆ hf_init

optoICC.registers.icc_registers.HallFeedback.hf_init

## ◆ hf_init_done

optoICC.registers.icc_registers.HallFeedback.hf_init_done

## ◆ hf_run

optoICC.registers.icc_registers.HallFeedback.hf_run

## ◆ i2c_address

optoICC.registers.icc_registers.HallFeedback.i2c_address

## ◆ map_channels

optoICC.registers.icc_registers.HallFeedback.map_channels

## ◆ map_channels_hf

optoICC.registers.icc_registers.HallFeedback.map_channels_hf

## ◆ map_channels_temp

optoICC.registers.icc_registers.HallFeedback.map_channels_temp

## ◆ map_channels_temp_gain

optoICC.registers.icc_registers.HallFeedback.map_channels_temp_gain

## ◆ map_channels_temp_offset

optoICC.registers.icc_registers.HallFeedback.map_channels_temp_offset

## ◆ map_channels_temp_raw

optoICC.registers.icc_registers.HallFeedback.map_channels_temp_raw

## ◆ n_sensors

optoICC.registers.icc_registers.HallFeedback.n_sensors

## ◆ name

optoICC.registers.icc_registers.HallFeedback.name

## ◆ sys_id

optoICC.registers.icc_registers.HallFeedback.sys_id

## ◆ t_comp_type

optoICC.registers.icc_registers.HallFeedback.t_comp_type

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/145-713-00-OptoICC/src/main/python/optoICC/registers/icc_registers.py